<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="user" scope="session" value="${user}" />
<c:set var="login" scope="session" value="${user.login}" />
<c:set var="roleId" scope="session" value="${user.roleId}" />
<c:set var="balance" scope="session" value="${user.balance}" />

<script src="https://kit.fontawesome.com/29d515ab5f.js" crossorigin="anonymous" defer></script>

<nav class="navbar navbar-expand-lg navbar-fixed-top bg-secondary fs-6 main-nav">
	<div class="container">
		<a class="navbar-brand" href="${pageContext.request.contextPath}/index.jsp"> <img
			src="${pageContext.request.contextPath}/img/logo.png" width="220" height="40"
			border="3px">
		</a>
		<button class="navbar-toggler" type="button" data-bs-toggle="collapse"
			data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
			aria-expanded="false" aria-label="navbarSupportedContent">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarSupportedContent">
			<ul class="navbar-nav me-auto mb-2 mb-lg-0">
				<li class="nav-item"><a class="btn btn-secondary text-dark btn-nav-m"
					aria-current="page" href="${pageContext.request.contextPath}/index.jsp">
					<i class="fa fa-home fa-fw text-start" aria-hidden="true"></i>&nbsp;Main
				</a></li>
				<li class="nav-item"><a class="btn btn-secondary text-dark btn-nav-m"
					aria-current="page" href="#">About </a></li>
			</ul>
			<div class="nav-item dropdown btn-nav-m">
				<button class="btn btn-secondary dropdown-toggle text-dark" id="langBtn" type="button"
					data-bs-toggle="dropdown" aria-expanded="false">EN</button>
				<ul class="dropdown-menu" aria-labelledby="langBtn">
					<li><a class="dropdown-item" href="?ua">UA</a></li>
				</ul>
			</div>

			<c:choose>
				<c:when test="${user eq null}">
					<div class="nav-item btn-nav-m">
						<button type="button" class="btn btn-primary p-2" data-bs-toggle="modal"
							data-bs-target="#loginForm">Login</button>
						<div class="modal fade" id="loginForm" data-bs-keyboard="false" tabindex="-1"
							aria-labelledby="loginFormLabel" aria-hidden="true">
							<div class="modal-dialog">
								<div class="modal-content">
									<div class="modal-header bg-light">
										<button type="button" class="btn-close" data-bs-dismiss="modal"
											aria-label="Close"></button>
									</div>
									<div class="modal-body bg-light">
										<%@include file="/WEB-INF/jspf/login_form.jspf"%>
									</div>
								</div>
							</div>
						</div>
						<div class="modal fade" id="registerForm" data-bs-keyboard="false" tabindex="-1"
							aria-labelledby="registerFormLabel" aria-hidden="true">
							<div class="modal-dialog">
								<div class="modal-content">
									<div class="modal-header bg-light">
										<button type="button" class="btn-close" data-bs-dismiss="modal"
											aria-label="Close"></button>
									</div>
									<div class="modal-body bg-light">
										<jsp:include page="/WEB-INF/jspf/register_form.jspf"></jsp:include>
									</div>
								</div>
							</div>
						</div>
					</div>
				</c:when>

				<c:when test="${user ne null}">
					<c:if test="${roleId eq 4}">
						<div class="nav-item btn-nav-m">
							<button class="btn btn-outline-warning font-monospace fs-6 margin" type="button"
								data-bs-toggle="modal" data-bs-target="#topUpBalanceForm">
								<b>Balance: ${balance} UAH</b>
							</button>
							<div class="modal fade" id="topUpBalanceForm" data-bs-keyboard="false"
								tabindex="-1" aria-labelledby="topUpBalanceFormLabel" aria-hidden="true">
								<div class="modal-dialog">
									<div class="modal-content">
										<div class="modal-header bg-light">
											<button type="button" class="btn-close" data-bs-dismiss="modal"
												aria-label="Close"></button>
										</div>
										<div class="modal-body bg-light">
											<%@include file="/WEB-INF/jspf/top_up_balance_form.jspf"%>
										</div>
									</div>
								</div>
							</div>
						</div>
						<div class="nav-item dropdown btn-nav-m">
							<button class="btn btn-primary dropdown-toggle" id="userBtn"
								type="button" data-bs-toggle="dropdown" aria-expanded="false">
								<i class="fa fa-user fa-fw"></i>${login}
							</button>
							<ul class="dropdown-menu" aria-labelledby="userBtn">
								<li><a class="dropdown-item"
									href="${pageContext.request.contextPath}/page/account/profile.jsp"><i class="fa fa-pencil fa-fw"></i>&nbsp;Profile</a></li>
								<li><a class="dropdown-item"
									href="${pageContext.request.contextPath}/controller?command=order_history"><i class="fa fa-light fa-list"></i>&nbsp;My
										orders</a></li>
								<li><a class="dropdown-item"
									href="${pageContext.request.contextPath}/page/account/createOrderCustom.jsp"><i class="fa fa-light fa-plus"></i>&nbsp;Create
										order</a></li>
								<li><a class="dropdown-item"
									href="${pageContext.request.contextPath}/controller?command=payment_history"><i class="fa fa-light fa-sack-dollar"></i>&nbsp;Payment
										history</a></li>
								<li><hr class="dropdown-divider"></li>
								<li><a class="dropdown-item" href="index.jsp?logout"><i class="fa fa-light fa-arrow-right-from-bracket"></i>&nbsp;Logout</a></li>
							</ul>
						</div>
					</c:if>
					<c:if test="${roleId eq 2}">
						<a type="button" class="btn btn-primary p-2" href="${pageContext.request.contextPath}/page/manager/index.jsp">Control panel</a>
					</c:if>
				</c:when>
			</c:choose>
		</div>
	</div>
</nav>